> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Hris Expense Report

> Submits a report: validates receipts/justification, recalculates totals, routes approval tiers, auto-approves under threshold, notifies.

Not available to API keys yet. It will need `expenses:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/submit-hris-expense-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/submit-hris-expense-report:
    post:
      operationId: submitHrisExpenseReport
      summary: Submit Hris Expense Report
      description: >-
        Submits a report: validates receipts/justification, recalculates totals,
        routes approval tiers, auto-approves under threshold, notifies.


        Not available to API keys yet. It will need `expenses:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitHrisExpenseReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitHrisExpenseReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SubmitHrisExpenseReportRequest:
      type: object
      properties:
        hrisExpenseReportID:
          type: string
          format: uuid
        roleInOrgID:
          type: string
          format: uuid
      required:
        - hrisExpenseReportID
    SubmitHrisExpenseReportResponse:
      type: object
      properties:
        hrisExpenseReportID:
          type: string
        roleInOrgID:
          type: string
        roleInOrgName:
          type:
            - string
            - 'null'
        roleInOrgEmail:
          type:
            - string
            - 'null'
        roleInOrgDepartment:
          type:
            - string
            - 'null'
        name:
          type: string
        status:
          type: string
        startDate:
          type:
            - string
            - 'null'
        endDate:
          type:
            - string
            - 'null'
        expensedCurrencyID:
          type:
            - string
            - 'null'
        expensedCurrencyCode:
          type:
            - string
            - 'null'
        expensedCurrencyName:
          type:
            - string
            - 'null'
        totalAmountInExpenseCurrency:
          type:
            - string
            - 'null'
        submittedAt:
          type:
            - string
            - 'null'
        approvedAt:
          type:
            - string
            - 'null'
        rejectedAt:
          type:
            - string
            - 'null'
        paidAt:
          type:
            - string
            - 'null'
        payoutStatus:
          type:
            - string
            - 'null'
        decisionUndoableUntil:
          type:
            - string
            - 'null'
        rejectionReason:
          type:
            - string
            - 'null'
        reviewComment:
          type:
            - string
            - 'null'
        createdAt:
          type:
            - string
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
        expenseCount:
          type: number
        categoryNames:
          type: array
          items:
            type: string
        primaryExpenseCategoryName:
          type:
            - string
            - 'null'
        hasReceiptlessExpenses:
          type: boolean
        thirdPartyProvider:
          type:
            - string
            - 'null'
        thirdPartyReportID:
          type:
            - string
            - 'null'
        reimbursementSyncedAt:
          type:
            - string
            - 'null'
        reimbursementSyncError:
          type:
            - string
            - 'null'
      required:
        - hrisExpenseReportID
        - roleInOrgID
        - roleInOrgName
        - roleInOrgEmail
        - roleInOrgDepartment
        - name
        - status
        - startDate
        - endDate
        - expensedCurrencyID
        - expensedCurrencyCode
        - expensedCurrencyName
        - totalAmountInExpenseCurrency
        - submittedAt
        - approvedAt
        - rejectedAt
        - paidAt
        - payoutStatus
        - decisionUndoableUntil
        - rejectionReason
        - reviewComment
        - createdAt
        - updatedAt
        - expenseCount
        - categoryNames
        - primaryExpenseCategoryName
        - hasReceiptlessExpenses
        - thirdPartyProvider
        - thirdPartyReportID
        - reimbursementSyncedAt
        - reimbursementSyncError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
